Bug 9295 - Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value
Summary: Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'e...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mirko Tietgen
QA Contact: Jonathan Druart
URL:
Keywords: rel_3_14_candidate
Depends on:
Blocks:
 
Reported: 2012-12-15 00:35 UTC by Mirko Tietgen
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value. (10.83 KB, patch)
2012-12-15 00:37 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value. (10.82 KB, patch)
2012-12-15 00:44 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value. (10.68 KB, patch)
2013-03-19 21:50 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value. (10.71 KB, patch)
2013-09-24 10:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value. (10.81 KB, patch)
2013-09-24 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2012-12-15 00:35:33 UTC

    
Comment 1 Mirko Tietgen 2012-12-15 00:37:29 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2012-12-15 00:44:51 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2013-03-19 21:50:42 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2013-03-19 21:52:51 UTC
rebased to master
Comment 5 Julian Maurice 2013-09-24 10:20:40 UTC Comment hidden (obsolete)
Comment 6 Julian Maurice 2013-09-24 10:21:26 UTC
Works fine. Nothing to say.
Comment 7 Jonathan Druart 2013-09-24 14:45:04 UTC
Works as expected, nice improvement.
Marked as Passed QA.
Comment 8 Jonathan Druart 2013-09-24 14:45:23 UTC
Created attachment 21419 [details] [review]
Bug 9295 [ENH] Introduce operator equal/ notequal to OAI set mapping instead of hardcoded 'equal' value.

In OAI set mappings, the value "is equal to" is hardcoded. This
enhancement changes it to a dropdown menu to choose between "is equal
to" and "not equal to".

To test:

* define a set
* define a mapping for said set with "is equal to"
* run /misc/migration_tools/build_oai_sets.pl -r -v
* confirm that you have correct entries in SQL: select * from
  oai_sets_biblios;
* change mapping to 'not equal to', save
* run /misc/migration_tools/build_oai_sets.pl -r -v
* confirm that you have correct entries in SQL: select * from
  oai_sets_biblios;

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Fix bug id in updatedb.pl
Comment 9 Galen Charlton 2013-10-10 23:12:12 UTC
Pushed to master.  Thanks, Mirko!